com.tibco.bpm.service.connector

## Class EventCollectorMeasuresService

- java.lang.Object
- - com.tibco.bpm.service.connector.EventCollectorMeasuresService

- All Implemented Interfaces:
    EventCollectorMeasuresService

      public class EventCollectorMeasuresService
      extends java.lang.Object
      implements EventCollectorMeasuresService

  Provides access to the EventCollectorMeasuresService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.ec.api.base.Measure[]` | `requestGenericMeasure(java.lang.String type, com.tibco.n2.ec.api.base.BasicMeasureId[] id, com.tibco.n2.ec.api.base.MeasureDuration duration, com.tibco.n2.ec.api.base.MeasureOptions options)` Request Generic Measure information from EC.
    `com.tibco.n2.ec.api.base.Measure[]` | `requestMeasure(com.tibco.n2.ec.api.base.MeasureType type, com.tibco.n2.ec.api.base.MeasureId[] id, com.tibco.n2.ec.api.base.MeasureDuration duration, com.tibco.n2.ec.api.base.MeasureOptions options)` Request Measure information from EC.
    `com.tibco.n2.ec.api.base.ProcessDurationMeasure[]` | `requestProcessDurationMeasure(com.tibco.n2.ec.api.base.ProcessTemplateId[] id, com.tibco.n2.ec.api.base.MeasureDuration duration, com.tibco.n2.ec.api.base.MeasureOptions options)` Request Process Duration Measure information from EC.
    `com.tibco.n2.ec.api.base.ProcessTemplateMeasure[]` | `requestProcessTemplateMeasure(com.tibco.n2.ec.api.base.ProcessTemplateId[] id, com.tibco.n2.ec.api.base.MeasureDuration duration, com.tibco.n2.ec.api.base.MeasureOptions options)` Request Process Template Measure information from EC.
    `com.tibco.n2.ec.api.base.WorkItemMeasure[]` | `requestWorkItemPerformanceForResource(com.tibco.n2.ec.api.base.ResourceId[] id, com.tibco.n2.ec.api.base.MeasureDuration duration, com.tibco.n2.ec.api.base.MeasureOptions options)` Request Work Item Performance for a Process Resource measure information from EC.
    `com.tibco.n2.ec.api.base.WorkItemMeasure[]` | `requestWorkItemPerformanceForTemplate(com.tibco.n2.ec.api.base.ProcessTemplateId[] id, com.tibco.n2.ec.api.base.MeasureDuration duration, com.tibco.n2.ec.api.base.MeasureOptions options)` Request Process Template Measure information from EC.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### requestMeasure

          public com.tibco.n2.ec.api.base.Measure[] requestMeasure(com.tibco.n2.ec.api.base.MeasureType type,
                                                                   com.tibco.n2.ec.api.base.MeasureId[] id,
                                                                   com.tibco.n2.ec.api.base.MeasureDuration duration,
                                                                   com.tibco.n2.ec.api.base.MeasureOptions options)
                                                            throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                   com.tibco.n2.ec.services.InternalServiceFault,
                                                                   com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorMeasuresService`
      Request Measure information from EC.
      Specified by:
        `requestMeasure` in interface `EventCollectorMeasuresService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### requestGenericMeasure

          public com.tibco.n2.ec.api.base.Measure[] requestGenericMeasure(java.lang.String type,
                                                                          com.tibco.n2.ec.api.base.BasicMeasureId[] id,
                                                                          com.tibco.n2.ec.api.base.MeasureDuration duration,
                                                                          com.tibco.n2.ec.api.base.MeasureOptions options)
                                                                   throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                          com.tibco.n2.ec.services.InternalServiceFault,
                                                                          com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorMeasuresService`
      Request Generic Measure information from EC.
      Specified by:
        `requestGenericMeasure` in interface `EventCollectorMeasuresService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### requestProcessDurationMeasure

          public com.tibco.n2.ec.api.base.ProcessDurationMeasure[] requestProcessDurationMeasure(com.tibco.n2.ec.api.base.ProcessTemplateId[] id,
                                                                                                 com.tibco.n2.ec.api.base.MeasureDuration duration,
                                                                                                 com.tibco.n2.ec.api.base.MeasureOptions options)
                                                                                          throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                                 com.tibco.n2.ec.services.InternalServiceFault,
                                                                                                 com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorMeasuresService`
      Request Process Duration Measure information from EC.
      Specified by:
        `requestProcessDurationMeasure` in interface `EventCollectorMeasuresService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### requestProcessTemplateMeasure

          public com.tibco.n2.ec.api.base.ProcessTemplateMeasure[] requestProcessTemplateMeasure(com.tibco.n2.ec.api.base.ProcessTemplateId[] id,
                                                                                                 com.tibco.n2.ec.api.base.MeasureDuration duration,
                                                                                                 com.tibco.n2.ec.api.base.MeasureOptions options)
                                                                                          throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                                 com.tibco.n2.ec.services.InternalServiceFault,
                                                                                                 com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorMeasuresService`
      Request Process Template Measure information from EC.
      Specified by:
        `requestProcessTemplateMeasure` in interface `EventCollectorMeasuresService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### requestWorkItemPerformanceForTemplate

          public com.tibco.n2.ec.api.base.WorkItemMeasure[] requestWorkItemPerformanceForTemplate(com.tibco.n2.ec.api.base.ProcessTemplateId[] id,
                                                                                                  com.tibco.n2.ec.api.base.MeasureDuration duration,
                                                                                                  com.tibco.n2.ec.api.base.MeasureOptions options)
                                                                                           throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                                  com.tibco.n2.ec.services.InternalServiceFault,
                                                                                                  com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorMeasuresService`
      Request Process Template Measure information from EC.
      Specified by:
        `requestWorkItemPerformanceForTemplate` in interface `EventCollectorMeasuresService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### requestWorkItemPerformanceForResource

          public com.tibco.n2.ec.api.base.WorkItemMeasure[] requestWorkItemPerformanceForResource(com.tibco.n2.ec.api.base.ResourceId[] id,
                                                                                                  com.tibco.n2.ec.api.base.MeasureDuration duration,
                                                                                                  com.tibco.n2.ec.api.base.MeasureOptions options)
                                                                                           throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                                  com.tibco.n2.ec.services.InternalServiceFault,
                                                                                                  com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorMeasuresService`
      Request Work Item Performance for a Process Resource measure information from EC.
      Specified by:
        `requestWorkItemPerformanceForResource` in interface `EventCollectorMeasuresService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.